%define prefix /usr
%define orgname Filemanager-AVS
%define name filemanager-avs
%define url http://www.acwn.de

%define use_thunar	0

Name: 		%{name}
Summary: 	A little application which uses the ClamAV library to scan files for viruses.
Summary(de):	Eine kleine Anwendung, die die ClamAV-Bibliothek verwendet, um Dateien auf Viren zu scannen.
Version:	0.6.2
Release: 	%mkrel 3
URL: 		%{url}
Group: 		File tools
Source0: 	https://svn.acwn.de/Filemanager-AVS/branches/V0.6.1/%{name}_%{version}-1.tar.xz
License: 	GPLv3
Requires: 	gtk2
Requires: 	libglade2.0_0
Requires: 	clamav
Requires: 	libunique3.0_0
Requires: 	libnautilus1
Requires: 	libgnome-vfs2_0

%if %{use_thunar}
Requires: 	thunar
BuildRequires: 	thunar-devel
%endif

BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  libclamav-devel
BuildRequires:  libunique-devel
BuildRequires:  libgnome-vfs2-devel
BuildRequires:  libnotify-devel >= 0.5.0
BuildRequires:  libgamin-devel
BuildRequires:	libunique-devel
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}
Obsoletes:  	%name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2



%description
A little application which uses the ClamAV library to scan files for viruses.

%description -l de
Eine kleine Anwendung, die die ClamAV-Bibliothek verwendet, um Dateien auf Viren zu scannen.

%prep
%setup -q -n sources

%build
%if %{use_thunar}
%configure2_5x --with-nautilus-extension --with-thunar-plugin
%else
%configure2_5x --with-nautilus-extension
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang filemanager-avs


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{orgname}
%{_datadir}/%{orgname}/*
%{_docdir}/%{orgname}/*
%{_libdir}/nautilus/extensions-2.0/*
%{_datadir}/applications/*.desktop
%{_datadir}/locale/de/LC_MESSAGES/%{orgname}.mo
%if %{use_thunar}
%{_libdir}/thunarx-1/*
%endif

%changelog
* Mon May 02 2011 Texstar <texstar at gmail.com> 0.6.2-3pclos2011
- fix dependency not on libunique-devel

* Sun May 01 2011 Texstar <texstar at gmail.com> 0.6.2-2pclos2011
- fix specfile name to pclos-filemanager-avs as discussed on the developers mailinglist
- added menu entry for all desktops 
- added new glibc and libstdc++6 as discussed on the developers mailinglist

* Fri Mar 18 2011 maik3531 <maik3531 at yahoo.de> 0.6.2-1pclos2010
- Initial release

